43 lines
1.2 KiB
Diff
43 lines
1.2 KiB
Diff
|
--- /usr/portage/net-ftp/oftpd/oftpd-0.3.7-r4.ebuild 2009-05-29 16:00:05.000000000 +0200
|
||
|
+++ oftpd-0.3.7-r5.ebuild 2010-01-05 23:07:34.079555852 +0100
|
||
|
@@ -1,9 +1,9 @@
|
||
|
-# Copyright 1999-2009 Gentoo Foundation
|
||
|
+# Copyright 1999-2010 Gentoo Foundation
|
||
|
# Distributed under the terms of the GNU General Public License v2
|
||
|
-# $Header: /var/cvsroot/gentoo-x86/net-ftp/oftpd/oftpd-0.3.7-r4.ebuild,v 1.1 2009/05/29 14:00:05 rbu Exp $
|
||
|
+# $Header: $
|
||
|
|
||
|
EAPI=2
|
||
|
-inherit eutils
|
||
|
+inherit eutils autotools
|
||
|
|
||
|
DESCRIPTION="Secure, small, anonymous only ftpd"
|
||
|
HOMEPAGE="http://www.time-travellers.org/oftpd"
|
||
|
@@ -12,21 +12,23 @@
|
||
|
LICENSE="as-is"
|
||
|
SLOT="0"
|
||
|
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sh ~sparc ~x86"
|
||
|
-IUSE=""
|
||
|
+IUSE="ipv6"
|
||
|
|
||
|
DEPEND="net-ftp/ftpbase"
|
||
|
RDEPEND="${DEPEND}"
|
||
|
|
||
|
src_prepare() {
|
||
|
+ epatch "${FILESDIR}"/oftpd-0.3.7-ipv6rel2-1.patch
|
||
|
# Don't crash when using an unsupported address family, #159178.
|
||
|
- epatch "${FILESDIR}"/oftpd-0.3.7-family.patch
|
||
|
+ epatch "${FILESDIR}"/oftpd-0.3.7-family-1.patch
|
||
|
+ eautoreconf
|
||
|
}
|
||
|
|
||
|
src_configure() {
|
||
|
# local myconf
|
||
|
# ipv6 support busted according to lamer
|
||
|
# use ipv6 && myconf="${myconf} --enable-ipv6"
|
||
|
- econf --bindir=/usr/sbin || die
|
||
|
+ econf --bindir=/usr/sbin $(use_enable ipv6) || die
|
||
|
}
|
||
|
|
||
|
src_install() {
|